Young Hands Club

September 26, 2019

Takeover IRC

Filed under: Adam Thorsen — Adam Thorsen @ 3:17 p.m.

I am currently reviewing this task. Also related.

By Fri. Oct. 4th, I will address the "Pick one" portion of the first step described here. Broken down:

- follow up with spyked on anything he's learned
- follow up here: "but have sent off some people to come back with some answers, maybe that clarifies"
- answer this question
- make contact with one or more IRC network admins and inquire about peering opportunities
- report on my findings at Thimbron

Time permitting I will begin researching IRC network protocols.

6 Comments »

  1. http://logs.ossasepia.com/log/ossasepia/2019-09-26#1004024

    Essentially the correct 1st step is very direct action: set up a server on ONE network other than freenode. No matter which one or how chosen, you can roll the dice for all I care.

    Comment by Diana Coman — September 26, 2019 @ 4:52 p.m.

  2. Just to make sure you are aware of a few important republican basics regarding software versions:

    Python 2.7 is fine (anything strictly less than 3).
    gcc 4.9 is fine (anything strictly less than 5).

    Fwiw atm I run CentOS 6 on the logger's server. Others run some preserved versions of Gentoo but be aware that "new" gentoo is unlikely to be easily brought to something compatible with republican standards. In any case, for gentoo, there's Stan's cribsheet of banned soft that gives an indication of further offenders. It reads:

    In
    /etc/portage/make.conf
    USE flags, be sure to include the following bans:

    USE="-libnotify -consolekit -gtk3 -systemd -cups -dbus -gpm -avahi -gnome -tls-heartbeat"

    There is to exist a
    /etc/portage/package.mask/crapolade
    containing the following kills:

    sys-apps/systemd
    sys-fs/udev
    media-video/libav
    gnome-base/gconf
    >=app-crypt/gnupg-2.0.22
    app-accessibility/at-spi2-atk
    app-accessibility/at-spi2-core
    sys-apps/dbus
    sys-auth/consolekit
    sys-auth/polkit
    gnome-extra/polkit-gnome
    dev-util/gdbus-codegen
    gnome-base/dconf
    >=x11-libs/gtk+-3.0.0

    Comment by Diana Coman — September 27, 2019 @ 3:00 p.m.

  3. Got it, thanks. The server I intend to use is a gentoo box built to similar standards, back when I was working on building and syncing a static trb.
    USE="-X -consolekit offensive ufw -dbus -bluetooth -systemd -wayland -cups -pulseaudio"

    I don't have the crapolade mask configured yet, however.

    I checked my installed packages and it looks like the only problem is that somehow sys-fs/udev got in there. I do not know how difficult it would be to remove this. If it is required that this be removed, I am not sure I could get to the task of building the ircd before the deadline.

    Alternatively, I have a slice on the Pizarro shared hosting server. I would have to follow up with BingoBoingo to see if it meets these specs. It might be difficult to build an ircd without the ability to install any potentially required libs.

    Also, in response to your comment: http://younghands.club/2019/09/26/takeover-irc/#comment-29

    Shall I create a new post or update this post to reflect the required changes?

    The updated task would be:

    Build an ircd and attempt to get it to peer with the targeted network (which includes having any discussions required with any network admins) by the same deadline.

    Comment by Adam Thorsen — September 27, 2019 @ 5:13 p.m.

  4. In the long term the shared-pizarro account doesn't work quite well. So I'd say have a go at clearing up that server you have there - this ends up as task 1 then, such is life. Task 2 is as you say build an ircd etc.

    There's no need to update /create new post, it's in here in the comments. By the end of this Sunday you'll write anyway a review post for this week and then the new plan for the next week.

    Comment by Diana Coman — September 27, 2019 @ 5:32 p.m.

  5. Turns out I don't have udev installed (which makes sense because that would require systemd, which is *not* installed). What I have is a gentoo fork of udev called eudev that works with OpenRC. What I don't know at this point is if this is acceptable, and also if not, does it need to be replaced by something and what would that be?

    Comment by Adam Thorsen — September 27, 2019 @ 6:11 p.m.

  6. It seems it's known as pre-shit and therefore acceptable. So it can stay and it turns out you already have a usable system there after all, congrats!

    Comment by Diana Coman — September 27, 2019 @ 6:55 p.m.

RSS feed for comments on this post. TrackBack URL

Leave a comment

Powered by WordPress